www-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

www/proprietary malware-microsoft.html malware-...


From: Therese Godefroy
Subject: www/proprietary malware-microsoft.html malware-...
Date: Thu, 3 Oct 2019 05:26:21 -0400 (EDT)

CVSROOT:        /webcvs/www
Module name:    www
Changes by:     Therese Godefroy <th_g> 19/10/03 05:26:21

Modified files:
        proprietary    : malware-microsoft.html malware-mobiles.html 
                         proprietary-surveillance.html 
                         proprietary-tethers.html proprietary.html 
        proprietary/workshop: item-create mal.rec targets.rec 

Log message:
        Facebook app location tracking and MS Office tether (www-discuss 
2019-10-02).

CVSWeb URLs:
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/malware-microsoft.html?cvsroot=www&r1=1.104&r2=1.105
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/malware-mobiles.html?cvsroot=www&r1=1.109&r2=1.110
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/proprietary-surveillance.html?cvsroot=www&r1=1.299&r2=1.300
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/proprietary-tethers.html?cvsroot=www&r1=1.41&r2=1.42
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/proprietary.html?cvsroot=www&r1=1.171&r2=1.172
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/workshop/item-create?cvsroot=www&r1=1.9&r2=1.10
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/workshop/mal.rec?cvsroot=www&r1=1.155&r2=1.156
http://web.cvs.savannah.gnu.org/viewcvs/www/proprietary/workshop/targets.rec?cvsroot=www&r1=1.12&r2=1.13

Patches:
Index: malware-microsoft.html
===================================================================
RCS file: /webcvs/www/www/proprietary/malware-microsoft.html,v
retrieving revision 1.104
retrieving revision 1.105
diff -u -b -r1.104 -r1.105
--- malware-microsoft.html      18 Sep 2019 15:41:05 -0000      1.104
+++ malware-microsoft.html      3 Oct 2019 09:26:20 -0000       1.105
@@ -60,6 +60,8 @@
   <li><a href="#sabotage">Sabotage</a></li>
   <li><a href="#subscriptions">Subscriptions</a></li>
   <li><a href="#surveillance">Surveillance</a></li>
+  <li><a href="#tethers">Tethers</a>&mdash;functionalities that require
+    connection to a server.</li>
   <li><a href="#tyrants">Tyrants</a>&mdash;systems
     that reject any operating system not &ldquo;authorized&rdquo; by the
     manufacturer.</li>
@@ -569,6 +571,19 @@
 </ul>
 
 
+<h3 id="tethers">Microsoft Tethers</h3>
+
+<ul class="blurbs">
+  <li id="M201708310">
+    <p>The recent versions of Microsoft Office require the user to <a
+    
href="https://products.office.com/en-us/microsoft-office-for-home-and-school-faq?legRedir=true&CorrelationId=c9c5b549-11ad-4f71-bf81-b7e069fdb372";>
+    connect to Microsoft servers at least every thirty-one
+    days</a>. Otherwise, the software will refuse to edit any documents
+    or create new ones. It will be restricted to viewing and printing.</p>
+  </li>
+</ul>
+
+
 <h3 id="jails">Microsoft Jails</h3>
 
 <ul class="blurbs">
@@ -593,7 +608,6 @@
   </li>
 </ul>
 
-
 <h3 id="tyrants">Microsoft Tyrants</h3>
 
 <ul class="blurbs">
@@ -674,7 +688,7 @@
 
 <p class="unprintable">Updated:
 <!-- timestamp start -->
-$Date: 2019/09/18 15:41:05 $
+$Date: 2019/10/03 09:26:20 $
 <!-- timestamp end -->
 </p>
 </div>

Index: malware-mobiles.html
===================================================================
RCS file: /webcvs/www/www/proprietary/malware-mobiles.html,v
retrieving revision 1.109
retrieving revision 1.110
diff -u -b -r1.109 -r1.110
--- malware-mobiles.html        18 Sep 2019 15:41:05 -0000      1.109
+++ malware-mobiles.html        3 Oct 2019 09:26:20 -0000       1.110
@@ -405,6 +405,14 @@
 <h3 id="surveillance">Mobile Surveillance</h3>
 
 <ul class="blurbs">
+  <li id="M201909091">
+    <p>The Facebook app <a
+    
href="https://eu.usatoday.com/story/tech/talkingtech/2019/09/09/facebook-app-social-network-tracking-your-every-move/2270305001/";>
+    tracks users even when it is turned off</a>, after tricking them
+    into giving the app broad permissions in order to use one of its
+    functionalities.</p>
+  </li>
+
   <li id="M201909090">
     <p>Some nonfree period-tracking apps including MIA Fem and Maya <a
     
href="https://www.buzzfeednews.com/article/meghara/period-tracker-apps-facebook-maya-mia-fem";>
@@ -1131,7 +1139,7 @@
 
 <p class="unprintable">Updated:
 <!-- timestamp start -->
-$Date: 2019/09/18 15:41:05 $
+$Date: 2019/10/03 09:26:20 $
 <!-- timestamp end -->
 </p>
 </div>

Index: proprietary-surveillance.html
===================================================================
RCS file: /webcvs/www/www/proprietary/proprietary-surveillance.html,v
retrieving revision 1.299
retrieving revision 1.300
diff -u -b -r1.299 -r1.300
--- proprietary-surveillance.html       18 Sep 2019 15:41:06 -0000      1.299
+++ proprietary-surveillance.html       3 Oct 2019 09:26:20 -0000       1.300
@@ -804,6 +804,14 @@
 </div>
 
 <ul class="blurbs">
+  <li id="M201909091">
+    <p>The Facebook app <a
+    
href="https://eu.usatoday.com/story/tech/talkingtech/2019/09/09/facebook-app-social-network-tracking-your-every-move/2270305001/";>
+    tracks users even when it is turned off</a>, after tricking them
+    into giving the app broad permissions in order to use one of its
+    functionalities.</p>
+  </li>
+
   <li id="M201909090">
     <p>Some nonfree period-tracking apps including MIA Fem and Maya <a
     
href="https://www.buzzfeednews.com/article/meghara/period-tracker-apps-facebook-maya-mia-fem";>
@@ -2494,7 +2502,7 @@
 
 <p class="unprintable">Updated:
 <!-- timestamp start -->
-$Date: 2019/09/18 15:41:06 $
+$Date: 2019/10/03 09:26:20 $
 <!-- timestamp end -->
 </p>
 </div>

Index: proprietary-tethers.html
===================================================================
RCS file: /webcvs/www/www/proprietary/proprietary-tethers.html,v
retrieving revision 1.41
retrieving revision 1.42
diff -u -b -r1.41 -r1.42
--- proprietary-tethers.html    18 Sep 2019 15:41:06 -0000      1.41
+++ proprietary-tethers.html    3 Oct 2019 09:26:20 -0000       1.42
@@ -137,6 +137,14 @@
     a temptation to commit sabotage.</p>
   </li>
 
+  <li id="M201708310">
+    <p>The recent versions of Microsoft Office require the user to <a
+    
href="https://products.office.com/en-us/microsoft-office-for-home-and-school-faq?legRedir=true&CorrelationId=c9c5b549-11ad-4f71-bf81-b7e069fdb372";>
+    connect to Microsoft servers at least every thirty-one
+    days</a>. Otherwise, the software will refuse to edit any documents
+    or create new ones. It will be restricted to viewing and printing.</p>
+  </li>
+
   <li id="M201705180">
     <p>Bird and rabbit pets were implemented for Second
     Life by a company that tethered their food to a server.  <a
@@ -258,7 +266,7 @@
 
 <p class="unprintable">Updated:
 <!-- timestamp start -->
-$Date: 2019/09/18 15:41:06 $
+$Date: 2019/10/03 09:26:20 $
 <!-- timestamp end -->
 </p>
 </div>

Index: proprietary.html
===================================================================
RCS file: /webcvs/www/www/proprietary/proprietary.html,v
retrieving revision 1.171
retrieving revision 1.172
diff -u -b -r1.171 -r1.172
--- proprietary.html    18 Sep 2019 15:41:07 -0000      1.171
+++ proprietary.html    3 Oct 2019 09:26:20 -0000       1.172
@@ -149,6 +149,22 @@
 <h3 id="latest">Latest additions</h3>
 
 <ul class="blurbs">
+  <li id="M201909091">
+    <p>The Facebook app <a
+    
href="https://eu.usatoday.com/story/tech/talkingtech/2019/09/09/facebook-app-social-network-tracking-your-every-move/2270305001/";>
+    tracks users even when it is turned off</a>, after tricking them
+    into giving the app broad permissions in order to use one of its
+    functionalities.</p>
+  </li>
+
+  <li id="M201708310">
+    <p>The recent versions of Microsoft Office require the user to <a
+    
href="https://products.office.com/en-us/microsoft-office-for-home-and-school-faq?legRedir=true&CorrelationId=c9c5b549-11ad-4f71-bf81-b7e069fdb372";>
+    connect to Microsoft servers at least every thirty-one
+    days</a>. Otherwise, the software will refuse to edit any documents
+    or create new ones. It will be restricted to viewing and printing.</p>
+  </li>
+
   <li id="M201909090">
     <p>Some nonfree period-tracking apps including MIA Fem and Maya <a
     
href="https://www.buzzfeednews.com/article/meghara/period-tracker-apps-facebook-maya-mia-fem";>
@@ -176,27 +192,6 @@
     <p>In other words, when you stop getting screwed by the back door,
     you start getting screwed by the obsolescence.</p>
   </li>
-
-  <li id="M201908210">
-    <p>Microsoft recorded users of Xboxes and had <a
-    
href="https://www.vice.com/en_us/article/43kv4q/microsoft-human-contractors-listened-to-xbox-owners-homes-kinect-cortana";>
-    human workers listen to the recordings</a>.</p>
-
-    <p>Morally, we see no difference between having human workers listen and
-    having speech-recognition systems listen.  Both intrude on privacy.</p>
-  </li>
-
-  <li id="M201909060">
-    <p>Keeping track of who downloads a proprietary
-    program is a form of surveillance.  There is a
-    proprietary program for adjusting a certain telescopic rifle sight. <a
-    
href="https://www.forbes.com/sites/thomasbrewster/2019/09/06/exclusive-feds-demand-apple-and-google-hand-over-names-of-10000-users-of-a-gun-scope-app/";>
-    A US prosecutor has demanded the list of all the 10,000 or more people
-    who have installed it</a>.</p>
-
-    <p>With a free program there would not be a list of who has installed
-    it.</p>
-  </li>
 </ul>
 
 
@@ -257,7 +252,7 @@
 
 <p class="unprintable">Updated:
 <!-- timestamp start -->
-$Date: 2019/09/18 15:41:07 $
+$Date: 2019/10/03 09:26:20 $
 <!-- timestamp end -->
 </p>
 </div>

Index: workshop/item-create
===================================================================
RCS file: /webcvs/www/www/proprietary/workshop/item-create,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -b -r1.9 -r1.10
--- workshop/item-create        6 Mar 2019 09:04:41 -0000       1.9
+++ workshop/item-create        3 Oct 2019 09:26:21 -0000       1.10
@@ -26,9 +26,15 @@
 
 export LC_ALL=C
 set -e
+cd /media/Gnu-local/www/proprietary/workshop/
 
-temp1=$(mktemp -t mal.XXXXXX) || (echo 1>&2 "Can't make temp1";  exit 1)
-temp2=$(mktemp -t mal.XXXXXX) || (echo 1>&2 "Can't make temp2";  exit 1)
+function close_term () {
+  echo -e '\n*** Close the terminal window or press Return.'; read OK
+  test -z "$OK" && exit $1
+}
+
+temp1=$(mktemp -t mal.XXXXXX) || (echo 1>&2 "Can't make temp1";  close_term 1)
+temp2=$(mktemp -t mal.XXXXXX) || (echo 1>&2 "Can't make temp2";  close_term 1)
 trap 'rm -f "$temp1" "$temp2"' EXIT
 
 rm -f item.rec item.html mal.rec.temp *.html.temp
@@ -42,45 +48,45 @@
 
 if [ ! -f item ]; then
   echo 1>&2 "!!! 'item' file doesn't exist."
-  exit 1
+  close_term 1
 fi
 if [ ! -r item ]; then
   echo 1>&2 "!!! 'item' file isn't readable."
-  exit 1
+  close_term 1
 fi
 
 files=$(awk '/Target:/ {print $2}' item)
 if [ -z "$files" ]; then
   echo 1>&2 "!!! This item has no Target field.  It can't be added
     anywhere."
-  exit 1
+  close_term 1
 fi
 if ! id=$(grep '^Id:' item); then
   echo 1>&2 "!!! This item doesn't have an Id."
-  exit 1
+  close_term 1
 fi
 if [ `echo "$id" | wc -l` -gt 1 ]; then
   echo 1>&2 "!!! This item has multiple Id lines."
-  exit 1
+  close_term 1
 fi
 if [ "$id" = 'Id: 200000000' ]; then
   echo 1>&2 "!!! This item still has the default Id."
-  exit 1
+  close_term 1
 fi
 if echo "$id" | egrep -qv '^Id: 20[0-9]{7}(\..)?$'; then
   echo 1>&2 "!!! This item has a malformed Id, '$id'."
-  exit 1
+  close_term 1
 fi
 if echo "x$files" | sed '1s,.,,' | grep -q '^proprietary\.html$'; then
   echo 1>&2 "!!! proprietary.html is not a primary target for malware items."
-  exit 1
+  close_term 1
 fi
 if grep -q "$id" mal.rec; then
   echo 1>&2 "!!! An item with same Id is already in mal.rec.
     - If the two items are different, please change the last digit.
     - If you are editing an item that has been added already, you should
     do it in mal.rec, and regenerate the pages with malgen. See README.md."
-  exit 1
+  close_term 1
 fi
 
 wrong_files=$(echo "x$files" | sed '1s,.,,' | while read f; do
@@ -91,7 +97,7 @@
 if [ -n "$wrong_files" ]; then
   echo 1>&2 "!!! These pages don't exist:
 $wrong_files"
-  exit 1
+  close_term 1
 fi
 
 ## Standardize the format.

Index: workshop/mal.rec
===================================================================
RCS file: /webcvs/www/www/proprietary/workshop/mal.rec,v
retrieving revision 1.155
retrieving revision 1.156
diff -u -b -r1.155 -r1.156
--- workshop/mal.rec    18 Sep 2019 15:41:08 -0000      1.155
+++ workshop/mal.rec    3 Oct 2019 09:26:21 -0000       1.156
@@ -25,6 +25,32 @@
 ####    Please don't remove the blank line after this marker!    ####
 # ADD NEW BLURB HERE
 
+Added: 2019-10-03
+Id: 201708310
+RT: www-discuss 2019-10-02 (operating system tethers)
+PubDate: 2017-08-31
+Target: proprietary-tethers.html proprietary-tethers
+Target: malware-microsoft.html tethers
+Keywords:
+Blurb: <p>The recent versions of Microsoft Office require the user to <a
++   
href="https://products.office.com/en-us/microsoft-office-for-home-and-school-faq?legRedir=true&CorrelationId=c9c5b549-11ad-4f71-bf81-b7e069fdb372";>
++   connect to Microsoft servers at least every thirty-one
++   days</a>. Otherwise, the software will refuse to edit any documents
++   or create new ones. It will be restricted to viewing and printing.</p>
+
+Added: 2019-10-03
+Id: 201909091
+RT: www-discuss 2019-10-02 (Facebook app location tracking)
+PubDate: 2019-09-09
+Target: proprietary-surveillance.html SpywareInMobileApps
+Target: malware-mobiles.html surveillance
+Keywords:
+Blurb: <p>The Facebook app <a
++   
href="https://eu.usatoday.com/story/tech/talkingtech/2019/09/09/facebook-app-social-network-tracking-your-every-move/2270305001/";>
++   tracks users even when it is turned off</a>, after tricking them
++   into giving the app broad permissions in order to use one of its
++   functionalities.</p>
+
 Added: 2019-09-18
 Id: 201909090
 RT: www-discuss 2019-09-18 (Malicious menstruation apps)

Index: workshop/targets.rec
===================================================================
RCS file: /webcvs/www/www/proprietary/workshop/targets.rec,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -b -r1.12 -r1.13
--- workshop/targets.rec        4 Sep 2019 10:10:25 -0000       1.12
+++ workshop/targets.rec        3 Oct 2019 09:26:21 -0000       1.13
@@ -35,7 +35,7 @@
 Targets: back-doors censorship drm insecurity interference sabotage 
surveillance tyrants
 
 Page: malware-microsoft.html
-Targets: back-doors drm insecurity interference sabotage subscriptions 
surveillance jails tyrants
+Targets: back-doors drm insecurity interference sabotage subscriptions 
surveillance tethers jails tyrants
 
 Page: malware-mobiles.html
 Targets: phone-communications back-doors drm insecurity interference 
manipulation sabotage surveillance jails tyrants



reply via email to

[Prev in Thread] Current Thread [Next in Thread]